import apiRequest from '@/network/http/apiRequest'

/**
 * 获取Ent Profile
 * @returns
 */
export function getEntProfile() {
  return apiRequest({
    url: '/ent/profile',
    method: 'GET',
  })
}

/**
 * 更新Ent Profile
 * @param data
 * @returns
 */
export function updateEntProfile(data: any) {
  return apiRequest({
    url: '/ent/profile/update',
    method: 'PUT',
    data,
  })
}

/**
 * 获取Partner Profile
 * @returns
 */
export function getPartnerProfile() {
  return apiRequest({
    url: '/partner/profile',
    method: 'GET',
  })
}

/**
 * 更新Partner Profile
 * @param data
 * @returns
 */
export function updatePartnerProfile(data: any) {
  return apiRequest({
    url: '/partner/profile/update',
    method: 'PUT',
    data,
  })
}

/**
 * 获取Org Profile
 * @returns
 */
export function getOrgProfile() {
  return apiRequest({
    url: '/org/profile',
    method: 'GET',
  })
}

/**
 * 更新Partner Profile
 * @param data
 * @returns
 */
export function updateOrgProfile(data: any) {
  return apiRequest({
    url: '/org/profile/update',
    method: 'PUT',
    data,
  })
}
